﻿* {
  box-sizing: border-box;
}

html, body {
  margin: 0;
  padding: 0;
  height: 100%;
}

body {
  max-width: 310px;
  margin: 0 auto;
  padding: max(1em, 30vh) 0 1em 0;
  display: grid;
  grid-template-rows: auto 1fr auto;
  gap: 2em;
  font-family: Biennale, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  color: #1a1a1a;
}

header {
  margin: 1em 0 1em 0;
}

main {
  flex: 1 1 100%;
}

main > a {
  display: flex;
  align-items: center;
  gap: 0.7em;
  border: 1px solid #ccccc0;
  padding: 0.7em;
  margin-bottom: 1em; /* In case we ever get more than one IdP */

  text-decoration: none;
  color: #1a1a1a;
  font-weight: bold;
  font-size: 125%;
}

main > a > img { /* Limit the size of the IdP icon. */
  max-width: 2em;
}

main > a > :not(:first-child) { /* Stretch and center the text part of the IdP button. */
  flex: 1 1 auto;
  text-align: center;
}

footer {
  text-align: center;
}

@font-face {
  font-family: "Biennale";
  src: url("../_content/Agiboo.UI/fonts/biennale-regular-webfont.woff2") format("woff2");
  font-weight: 300;
  font-display: fallback;
}

@font-face {
  font-family: "Biennale-semibold";
  src: url("../_content/Agiboo.UI/fonts/biennale-semibold-webfont.woff2") format("woff2");
  font-weight: 400;
  font-display: fallback;
}
